Skip to main content
GET
/
databases
/
{id}
/
internal-connections
List internal connections
curl --request GET \
  --url https://api.sevalla.com/v3/databases/{id}/internal-connections \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
    "source_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
    "source_type": "dbResource",
    "source_name": "my-database",
    "source_display_name": "My Database",
    "target_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
    "target_type": "appResource",
    "target_name": "my-app",
    "target_display_name": "My App"
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

Database identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

Response

Default Response

id
string<uuid>
required

Internal connection identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

source_id
string
required

Identifier of the source resource

Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

source_type
enum<string>
required

Type of the source resource. appResource - application. dbResource - database.

Available options:
appResource,
dbResource
Example:

"dbResource"

source_name
string | null
required

System name of the source resource

Example:

"my-database"

source_display_name
string | null
required

Display name of the source resource

Example:

"My Database"

target_id
string
required

Identifier of the target resource

Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

target_type
enum<string>
required

Type of the target resource. appResource - application. dbResource - database.

Available options:
appResource,
dbResource
Example:

"appResource"

target_name
string | null
required

System name of the target resource

Example:

"my-app"

target_display_name
string | null
required

Display name of the target resource

Example:

"My App"